/// <reference types="react" />
import * as React from "react";
import { ClassNameMetaBase, DefaultComponentBase } from "@react-mdc/base";
export declare const CLASS_NAME = "mdc-switch";
export declare const propertyClassNames: {
    PREFIX: string;
    DISABLED: string;
};
export declare type MetaProps = {
    disabled?: boolean;
    className?: string;
};
export declare type ChildProps = {
    className?: string;
};
/**
 * Switch input container component
 */
export declare class Meta extends ClassNameMetaBase<ChildProps, MetaProps, {}> {
    protected renderBaseClassName(): string;
    protected renderClassValues(): {
        [x: string]: boolean | undefined;
    }[];
}
export default class Container extends DefaultComponentBase<React.HTMLProps<HTMLDivElement>, MetaProps, {}> {
    static Meta: typeof Meta;
    protected getMetaComponent(): typeof Meta;
    protected getMetaPropNames(): string[];
    protected getChildComponent(): string;
}
